@@ DEV @@ : Try to use Java MVC for graphics component.
[scilab.git] / scilab / modules / boolean / Makefile.in
1 # Makefile.in generated by automake 1.11.1 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5 # 2003, 2004, 2005, 2006, 2007, 2008, 2009  Free Software Foundation,
6 # Inc.
7 # This Makefile.in is free software; the Free Software Foundation
8 # gives unlimited permission to copy and/or distribute it,
9 # with or without modifications, as long as this notice is preserved.
10
11 # This program is distributed in the hope that it will be useful,
12 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
13 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
14 # PARTICULAR PURPOSE.
15
16 @SET_MAKE@
17
18 # Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
19 # Copyright (C) 2006 - INRIA - Sylvestre LEDRU
20 #
21 # This file is distributed under the same license as the Scilab package.
22
23 # Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
24 # Copyright (C) 2006-2008 - INRIA - Sylvestre LEDRU <sylvestre.ledru@inria.fr>
25 # Copyright (C) 2008      - INRIA - Pierre MARECHAL <pierre.marechal@inria.fr>
26 #
27 # This file must be used under the terms of the CeCILL.
28 # This source file is licensed as described in the file COPYING, which
29 # you should have received as part of this distribution.  The terms
30 # are also available at
31 # http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
32 #
33
34 ##########
35 ### Makefile included stuff
36 ### Target, variable, suffixes which are supposed to be usefull in every makefile.am
37 ##########
38
39
40 VPATH = @srcdir@
41 pkgdatadir = $(datadir)/@PACKAGE@
42 pkgincludedir = $(includedir)/@PACKAGE@
43 pkglibdir = $(libdir)/@PACKAGE@
44 pkglibexecdir = $(libexecdir)/@PACKAGE@
45 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
46 install_sh_DATA = $(install_sh) -c -m 644
47 install_sh_PROGRAM = $(install_sh) -c
48 install_sh_SCRIPT = $(install_sh) -c
49 INSTALL_HEADER = $(INSTALL_DATA)
50 transform = $(program_transform_name)
51 NORMAL_INSTALL = :
52 PRE_INSTALL = :
53 POST_INSTALL = :
54 NORMAL_UNINSTALL = :
55 PRE_UNINSTALL = :
56 POST_UNINSTALL = :
57 build_triplet = @build@
58 host_triplet = @host@
59 DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in \
60         $(top_srcdir)/Makefile.incl.am
61 @NEED_JAVA_TRUE@am__append_1 = java
62
63 # With --enable-compilation-tests, launch java unitary tests
64 @COMPILATION_TESTS_TRUE@am__append_2 = test
65 subdir = modules/boolean
66 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
67 am__aclocal_m4_deps = $(top_srcdir)/m4/docbook.m4 \
68         $(top_srcdir)/m4/fftw.m4 $(top_srcdir)/m4/fortran.m4 \
69         $(top_srcdir)/m4/giws.m4 $(top_srcdir)/m4/hdf5.m4 \
70         $(top_srcdir)/m4/intel_compiler.m4 \
71         $(top_srcdir)/m4/java-thirdparty.m4 $(top_srcdir)/m4/java.m4 \
72         $(top_srcdir)/m4/lib-ld.m4 $(top_srcdir)/m4/libsmath.m4 \
73         $(top_srcdir)/m4/libtool.m4 $(top_srcdir)/m4/libxml2.m4 \
74         $(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
75         $(top_srcdir)/m4/ltversion.m4 $(top_srcdir)/m4/lt~obsolete.m4 \
76         $(top_srcdir)/m4/ocaml.m4 $(top_srcdir)/m4/pcre.m4 \
77         $(top_srcdir)/m4/pkg.m4 $(top_srcdir)/m4/pvm.m4 \
78         $(top_srcdir)/m4/relocatable.m4 $(top_srcdir)/m4/swig.m4 \
79         $(top_srcdir)/m4/symlinks.m4 $(top_srcdir)/m4/tcltk.m4 \
80         $(top_srcdir)/m4/umfpack.m4 $(top_srcdir)/configure.ac
81 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
82         $(ACLOCAL_M4)
83 mkinstalldirs = $(SHELL) $(top_srcdir)/config/mkinstalldirs
84 CONFIG_HEADER = $(top_builddir)/modules/core/includes/machine.h
85 CONFIG_CLEAN_FILES =
86 CONFIG_CLEAN_VPATH_FILES =
87 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
88 am__vpath_adj = case $$p in \
89     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
90     *) f=$$p;; \
91   esac;
92 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
93 am__install_max = 40
94 am__nobase_strip_setup = \
95   srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
96 am__nobase_strip = \
97   for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
98 am__nobase_list = $(am__nobase_strip_setup); \
99   for p in $$list; do echo "$$p $$p"; done | \
100   sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
101   $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
102     if (++n[$$2] == $(am__install_max)) \
103       { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
104     END { for (dir in files) print dir, files[dir] }'
105 am__base_list = \
106   sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
107   sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
108 am__installdirs = "$(DESTDIR)$(pkglibdir)" \
109         "$(DESTDIR)$(libsciboolean_la_etcdir)" \
110         "$(DESTDIR)$(libsciboolean_la_rootdir)" \
111         "$(DESTDIR)$(libsciboolean_la_sci_gatewaydir)"
112 LTLIBRARIES = $(pkglib_LTLIBRARIES)
113 libsciboolean_la_DEPENDENCIES =  \
114         $(top_builddir)/modules/arnoldi/libsciarnoldi.la \
115         $(top_builddir)/modules/elementary_functions/libscielementary_functions.la
116 am__objects_1 = libsciboolean_la-matboolean.lo \
117         libsciboolean_la-vect_or.lo libsciboolean_la-vect_and.lo
118 am__objects_2 = logic.lo find.lo
119 am__objects_3 = libsciboolean_la-sci_and.lo libsciboolean_la-sci_or.lo \
120         libsciboolean_la-sci_find.lo libsciboolean_la-sci_bool2s.lo \
121         libsciboolean_la-gw_boolean.lo
122 am__objects_4 = sci_bool2s.lo sci_find.lo
123 am_libsciboolean_la_OBJECTS = $(am__objects_1) $(am__objects_2) \
124         $(am__objects_3) $(am__objects_4)
125 libsciboolean_la_OBJECTS = $(am_libsciboolean_la_OBJECTS)
126 libsciboolean_la_LINK = $(LIBTOOL) --tag=F77 $(AM_LIBTOOLFLAGS) \
127         $(LIBTOOLFLAGS) --mode=link $(F77LD) $(AM_FFLAGS) $(FFLAGS) \
128         $(libsciboolean_la_LDFLAGS) $(LDFLAGS) -o $@
129 DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)/modules/core/includes
130 depcomp = $(SHELL) $(top_srcdir)/config/depcomp
131 am__depfiles_maybe = depfiles
132 am__mv = mv -f
133 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
134         $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
135 LTCOMPILE = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
136         --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
137         $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
138 CCLD = $(CC)
139 LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
140         --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \
141         $(LDFLAGS) -o $@
142 F77COMPILE = $(F77) $(AM_FFLAGS) $(FFLAGS)
143 LTF77COMPILE = $(LIBTOOL) --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
144         --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS)
145 F77LD = $(F77)
146 F77LINK = $(LIBTOOL) --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
147         --mode=link $(F77LD) $(AM_FFLAGS) $(FFLAGS) $(AM_LDFLAGS) \
148         $(LDFLAGS) -o $@
149 SOURCES = $(libsciboolean_la_SOURCES)
150 DIST_SOURCES = $(libsciboolean_la_SOURCES)
151 DATA = $(libsciboolean_la_etc_DATA) $(libsciboolean_la_root_DATA) \
152         $(libsciboolean_la_sci_gateway_DATA)
153 ETAGS = etags
154 CTAGS = ctags
155 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
156 ACLOCAL = @ACLOCAL@
157 ALL_LINGUAS = @ALL_LINGUAS@
158 AMTAR = @AMTAR@
159 ANT = @ANT@
160 ANTLR = @ANTLR@
161 AR = @AR@
162 AUTOCONF = @AUTOCONF@
163 AUTOHEADER = @AUTOHEADER@
164 AUTOMAKE = @AUTOMAKE@
165 AVALON_FRAMEWORK = @AVALON_FRAMEWORK@
166 AWK = @AWK@
167 BATIK = @BATIK@
168 BLAS_LIBS = @BLAS_LIBS@
169 BSH = @BSH@
170 CC = @CC@
171 CCDEPMODE = @CCDEPMODE@
172 CFLAGS = @CFLAGS@
173 CHECKSTYLE = @CHECKSTYLE@
174 COMMONS_BEANUTILS = @COMMONS_BEANUTILS@
175 COMMONS_IO = @COMMONS_IO@
176 COMMONS_LOGGING = @COMMONS_LOGGING@
177 CPP = @CPP@
178 CPPFLAGS = @CPPFLAGS@
179 CXX = @CXX@
180 CXXCPP = @CXXCPP@
181 CXXDEPMODE = @CXXDEPMODE@
182 CXXFLAGS = @CXXFLAGS@
183 CYGPATH_W = @CYGPATH_W@
184 DEFS = @DEFS@
185 DEMOTOOLS_ENABLE = @DEMOTOOLS_ENABLE@
186 DEPDIR = @DEPDIR@
187 DOCBOOK_ROOT = @DOCBOOK_ROOT@
188 DSYMUTIL = @DSYMUTIL@
189 DUMPBIN = @DUMPBIN@
190 ECHO_C = @ECHO_C@
191 ECHO_N = @ECHO_N@
192 ECHO_T = @ECHO_T@
193 EGREP = @EGREP@
194 EXEEXT = @EXEEXT@
195 F77 = @F77@
196 FFLAGS = @FFLAGS@
197 FFTW3_LIB = @FFTW3_LIB@
198 FFTW_ENABLE = @FFTW_ENABLE@
199 FGREP = @FGREP@
200 FLEXDOCK = @FLEXDOCK@
201 FLIBS = @FLIBS@
202 FOP = @FOP@
203 GETTEXT_MACRO_VERSION = @GETTEXT_MACRO_VERSION@
204 GIWS_BIN = @GIWS_BIN@
205 GLUEGEN_RT = @GLUEGEN_RT@
206 GMSGFMT = @GMSGFMT@
207 GMSGFMT_015 = @GMSGFMT_015@
208 GRAPHICS_ENABLE = @GRAPHICS_ENABLE@
209 GREP = @GREP@
210 GUI_ENABLE = @GUI_ENABLE@
211 HDF5_CFLAGS = @HDF5_CFLAGS@
212 HDF5_ENABLE = @HDF5_ENABLE@
213 HDF5_LIBS = @HDF5_LIBS@
214 HELP_ENABLE = @HELP_ENABLE@
215 INSTALL = @INSTALL@
216 INSTALL_DATA = @INSTALL_DATA@
217 INSTALL_PROGRAM = @INSTALL_PROGRAM@
218 INSTALL_SCRIPT = @INSTALL_SCRIPT@
219 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
220 INTLLIBS = @INTLLIBS@
221 INTL_MACOSX_LIBS = @INTL_MACOSX_LIBS@
222 JAR = @JAR@
223 JAVA = @JAVA@
224 JAVAC = @JAVAC@
225 JAVAH = @JAVAH@
226 JAVASCI_ENABLE = @JAVASCI_ENABLE@
227 JAVA_DEBUG_OPTIONS = @JAVA_DEBUG_OPTIONS@
228 JAVA_ENABLE = @JAVA_ENABLE@
229 JAVA_G = @JAVA_G@
230 JAVA_HOME = @JAVA_HOME@
231 JAVA_JNI_INCLUDE = @JAVA_JNI_INCLUDE@
232 JAVA_JNI_LIBS = @JAVA_JNI_LIBS@
233 JDB = @JDB@
234 JEUCLID_CORE = @JEUCLID_CORE@
235 JGRAPHX = @JGRAPHX@
236 JHALL = @JHALL@
237 JHDF5 = @JHDF5@
238 JLATEXMATH = @JLATEXMATH@
239 JLATEXMATH_FOP = @JLATEXMATH_FOP@
240 JOGL = @JOGL@
241 JROSETTA_API = @JROSETTA_API@
242 JROSETTA_ENGINE = @JROSETTA_ENGINE@
243 JUNIT = @JUNIT@
244 LAPACK_LIBS = @LAPACK_LIBS@
245 LD = @LD@
246 LDFLAGS = @LDFLAGS@
247 LIBICONV = @LIBICONV@
248 LIBINTL = @LIBINTL@
249 LIBM = @LIBM@
250 LIBOBJS = @LIBOBJS@
251 LIBS = @LIBS@
252 LIBTOOL = @LIBTOOL@
253 LIPO = @LIPO@
254 LN_S = @LN_S@
255 LOOKS = @LOOKS@
256 LTLIBICONV = @LTLIBICONV@
257 LTLIBINTL = @LTLIBINTL@
258 LTLIBOBJS = @LTLIBOBJS@
259 MAINT = @MAINT@
260 MAKEINFO = @MAKEINFO@
261 MATIO_CFLAGS = @MATIO_CFLAGS@
262 MATIO_ENABLE = @MATIO_ENABLE@
263 MATIO_LIBS = @MATIO_LIBS@
264 MKDIR_P = @MKDIR_P@
265 MSGCAT = @MSGCAT@
266 MSGFMT = @MSGFMT@
267 MSGFMT_015 = @MSGFMT_015@
268 MSGMERGE = @MSGMERGE@
269 NM = @NM@
270 NMEDIT = @NMEDIT@
271 OBJDUMP = @OBJDUMP@
272 OBJEXT = @OBJEXT@
273 OCAMLC = @OCAMLC@
274 OCAMLDEP = @OCAMLDEP@
275 OCAMLLEX = @OCAMLLEX@
276 OCAMLOPT = @OCAMLOPT@
277 OCAMLYACC = @OCAMLYACC@
278 OPENMP_CFLAGS = @OPENMP_CFLAGS@
279 OPENMP_CXXFLAGS = @OPENMP_CXXFLAGS@
280 OPENMP_ENABLE = @OPENMP_ENABLE@
281 OPENMP_LIBS = @OPENMP_LIBS@
282 OTOOL = @OTOOL@
283 OTOOL64 = @OTOOL64@
284 PACKAGE = @PACKAGE@
285 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
286 PACKAGE_NAME = @PACKAGE_NAME@
287 PACKAGE_STRING = @PACKAGE_STRING@
288 PACKAGE_TARNAME = @PACKAGE_TARNAME@
289 PACKAGE_URL = @PACKAGE_URL@
290 PACKAGE_VERSION = @PACKAGE_VERSION@
291 PATH_SEPARATOR = @PATH_SEPARATOR@
292 PCRE_CFLAGS = @PCRE_CFLAGS@
293 PCRE_CONFIG = @PCRE_CONFIG@
294 PCRE_LIBS = @PCRE_LIBS@
295 PCRE_VERSION = @PCRE_VERSION@
296 PKG_CONFIG = @PKG_CONFIG@
297 POSUB = @POSUB@
298 POW_LIB = @POW_LIB@
299 PVMGETARCH = @PVMGETARCH@
300 PVM_ARCH = @PVM_ARCH@
301 PVM_ENABLE = @PVM_ENABLE@
302 PVM_INCLUDE = @PVM_INCLUDE@
303 PVM_LIB = @PVM_LIB@
304 PYTHON = @PYTHON@
305 QDOX = @QDOX@
306 RANLIB = @RANLIB@
307 RELOCATABLE = @RELOCATABLE@
308 RT_LIB = @RT_LIB@
309 SAXON = @SAXON@
310 SCICOS_ENABLE = @SCICOS_ENABLE@
311 SCILAB_LIBRARY_VERSION = @SCILAB_LIBRARY_VERSION@
312 SED = @SED@
313 SET_MAKE = @SET_MAKE@
314 SET_RELOCATABLE = @SET_RELOCATABLE@
315 SHELL = @SHELL@
316 SKINLF = @SKINLF@
317 SPLINT = @SPLINT@
318 STRIP = @STRIP@
319 SWIG_BIN = @SWIG_BIN@
320 SWIG_JAVA = @SWIG_JAVA@
321 SWIG_RUNTIME_LIBS_DIR = @SWIG_RUNTIME_LIBS_DIR@
322 TCLTK_LIBS = @TCLTK_LIBS@
323 TCL_INC_PATH = @TCL_INC_PATH@
324 TESTNG = @TESTNG@
325 TK_INC_PATH = @TK_INC_PATH@
326 UMFPACK_ENABLE = @UMFPACK_ENABLE@
327 UMFPACK_LIB = @UMFPACK_LIB@
328 USE_NLS = @USE_NLS@
329 VERSION = @VERSION@
330 WITH_OCAML = @WITH_OCAML@
331 WITH_TKSCI = @WITH_TKSCI@
332 XGETTEXT = @XGETTEXT@
333 XGETTEXT_015 = @XGETTEXT_015@
334 XGETTEXT_EXTRA_OPTIONS = @XGETTEXT_EXTRA_OPTIONS@
335 XMKMF = @XMKMF@
336 XMLGRAPHICS_COMMONS = @XMLGRAPHICS_COMMONS@
337 XML_APIS_EXT = @XML_APIS_EXT@
338 XML_CONFIG = @XML_CONFIG@
339 XML_FLAGS = @XML_FLAGS@
340 XML_LIBS = @XML_LIBS@
341 XML_VERSION = @XML_VERSION@
342 X_CFLAGS = @X_CFLAGS@
343 X_EXTRA_LIBS = @X_EXTRA_LIBS@
344 X_LIBS = @X_LIBS@
345 X_PRE_LIBS = @X_PRE_LIBS@
346 abs_builddir = @abs_builddir@
347 abs_srcdir = @abs_srcdir@
348 abs_top_builddir = @abs_top_builddir@
349 abs_top_srcdir = @abs_top_srcdir@
350 ac_ct_CC = @ac_ct_CC@
351 ac_ct_CXX = @ac_ct_CXX@
352 ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
353 ac_ct_F77 = @ac_ct_F77@
354 am__include = @am__include@
355 am__leading_dot = @am__leading_dot@
356 am__quote = @am__quote@
357 am__tar = @am__tar@
358 am__untar = @am__untar@
359 bindir = @bindir@
360 build = @build@
361 build_alias = @build_alias@
362 build_cpu = @build_cpu@
363 build_os = @build_os@
364 build_vendor = @build_vendor@
365 builddir = @builddir@
366 cxx_present = @cxx_present@
367 datadir = @datadir@
368 datarootdir = @datarootdir@
369 docdir = @docdir@
370 dvidir = @dvidir@
371 exec_prefix = @exec_prefix@
372 host = @host@
373 host_alias = @host_alias@
374 host_cpu = @host_cpu@
375 host_os = @host_os@
376 host_vendor = @host_vendor@
377 htmldir = @htmldir@
378 includedir = @includedir@
379 infodir = @infodir@
380 install_sh = @install_sh@
381 libdir = @libdir@
382 libexecdir = @libexecdir@
383 localedir = @localedir@
384 localstatedir = @localstatedir@
385 mandir = @mandir@
386 mkdir_p = @mkdir_p@
387 oldincludedir = @oldincludedir@
388 pdfdir = @pdfdir@
389 prefix = @prefix@
390 program_transform_name = @program_transform_name@
391 psdir = @psdir@
392 sbindir = @sbindir@
393 sharedstatedir = @sharedstatedir@
394 srcdir = @srcdir@
395 sysconfdir = @sysconfdir@
396 target_alias = @target_alias@
397 top_build_prefix = @top_build_prefix@
398 top_builddir = @top_builddir@
399 top_srcdir = @top_srcdir@
400 BOOLEAN_C_SOURCES = src/c/matboolean.c \
401 src/c/vect_or.c \
402 src/c/vect_and.c
403
404 BOOLEAN_FORTRAN_SOURCES = src/fortran/logic.f \
405 src/fortran/find.f
406
407 GATEWAY_C_SOURCES = sci_gateway/c/sci_and.c \
408 sci_gateway/c/sci_or.c \
409 sci_gateway/c/sci_find.c \
410 sci_gateway/c/sci_bool2s.c \
411 sci_gateway/c/gw_boolean.c
412
413 GATEWAY_FORTRAN_SOURCES = sci_gateway/fortran/sci_bool2s.f \
414 sci_gateway/fortran/sci_find.f
415
416 libsciboolean_la_CFLAGS = -I$(srcdir)/includes/ \
417                                 -I$(srcdir)/src/c/ \
418                                 -I$(top_srcdir)/modules/api_scilab/includes \
419                                 -I$(top_srcdir)/modules/output_stream/includes
420
421 pkglib_LTLIBRARIES = libsciboolean.la
422 libsciboolean_la_LDFLAGS = -version-info $(SCILAB_LIBRARY_VERSION)
423 libsciboolean_la_SOURCES = $(BOOLEAN_C_SOURCES) $(BOOLEAN_FORTRAN_SOURCES) $(GATEWAY_C_SOURCES) $(GATEWAY_FORTRAN_SOURCES)
424
425 # For the code check (splint)
426 CHECK_SRC = $(BOOLEAN_C_SOURCES) $(GATEWAY_C_SOURCES)
427 INCLUDE_FLAGS = $(libsciboolean_la_CFLAGS)
428 libsciboolean_la_LIBADD = \
429         $(top_builddir)/modules/arnoldi/libsciarnoldi.la \
430         $(top_builddir)/modules/elementary_functions/libscielementary_functions.la
431
432 modulename = boolean
433
434 #### boolean : Conf files ####
435 libsciboolean_la_rootdir = $(mydatadir)
436 libsciboolean_la_root_DATA = changelog.txt license.txt readme.txt version.xml
437
438 ####´┐Żboolean : init scripts ####
439 libsciboolean_la_etcdir = $(mydatadir)/etc
440 libsciboolean_la_etc_DATA = etc/boolean.quit etc/boolean.start
441
442 ####´┐Żboolean : gateway declaration ####
443 libsciboolean_la_sci_gatewaydir = $(mydatadir)/sci_gateway
444 libsciboolean_la_sci_gateway_DATA = sci_gateway/boolean_gateway.xml
445
446 # Where all the Scilab stuff is installed (macros, help, ...)
447 mydatadir = $(pkgdatadir)/modules/$(modulename)
448
449 # splint options
450 SPLINT_OPTIONS = -weak -booltype BOOL
451
452 ########################### JAVA ######################################
453 #### We are delegating java compilation to ant... Thanks to that
454 #### the procedure will be the same with Microsoft Windows (C)
455 #### and Linux/Unix
456 #######################################################################
457 TARGETS_ALL = $(am__append_1) $(am__append_2)
458
459 ################ MACROS ######################
460 # Rule to build a macro
461 # NOT USED  AT THE MOMENT
462 SUFFIXES = .sci 
463
464 ########### INSTALL DOCUMENTATION ###################
465
466 # Install documentation files into the right target
467 # We do not use the automake mechanism (libxxxx_la_help_fr_DATA) because
468 # automake needs the html files to be present which is not the case when
469 # we are building Scilab
470
471 # Where it should be installed
472 pkgdocdir = $(mydatadir)
473
474 # What is the mask of the help source
475 DOCMASKXML = *.xml
476
477 # What is the mask of the MathML sources
478 DOCMASKMML = *.mml
479
480 ########### INSTALL DATA ###################
481 # Install macros, help & demos
482 # Where it should be installed
483 pkgmacrosdir = $(mydatadir)
484 # Which directory we process
485 MACRODIRS = macros/
486 # Mask of the Scilab sources macros
487 MACROMASK = *.sci
488 # Mask of the Scilab executable sources macros
489 MACROBUILDMASK = *.sce
490 # Mask of the Scilab compiled macros
491 MACROBINMASK = *.bin
492 # List of the standard directory for tests
493 TESTS_DIR = tests/benchmarks tests/nonreg_tests tests/unit_tests
494 # Where the demos should be installed
495 pkgdemosdir = $(mydatadir)
496 # List of the standard directory for demos
497 DEMOS_DIR = demos
498 # List of the standard directory for examples
499 EXAMPLES_DIR = examples
500 # Where to export JAVA archives (.jar)
501 JARDIR = jar/
502 # JAR files mask
503 JARMASK = *.jar
504 # Chapter file 
505 HELP_CHAPTERDIR = help/
506 HELP_CHAPTERFILE = addchapter.sce
507 HELP_CHAPTERLANG = en_US fr_FR pt_BR
508 all: all-am
509
510 .SUFFIXES:
511 .SUFFIXES: .sci .bin .c .f .lo .o .obj
512 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/Makefile.incl.am $(am__configure_deps)
513         @for dep in $?; do \
514           case '$(am__configure_deps)' in \
515             *$$dep*) \
516               ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
517                 && { if test -f $@; then exit 0; else break; fi; }; \
518               exit 1;; \
519           esac; \
520         done; \
521         echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign modules/boolean/Makefile'; \
522         $(am__cd) $(top_srcdir) && \
523           $(AUTOMAKE) --foreign modules/boolean/Makefile
524 .PRECIOUS: Makefile
525 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
526         @case '$?' in \
527           *config.status*) \
528             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
529           *) \
530             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
531             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
532         esac;
533
534 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
535         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
536
537 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
538         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
539 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
540         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
541 $(am__aclocal_m4_deps):
542 install-pkglibLTLIBRARIES: $(pkglib_LTLIBRARIES)
543         @$(NORMAL_INSTALL)
544         test -z "$(pkglibdir)" || $(MKDIR_P) "$(DESTDIR)$(pkglibdir)"
545         @list='$(pkglib_LTLIBRARIES)'; test -n "$(pkglibdir)" || list=; \
546         list2=; for p in $$list; do \
547           if test -f $$p; then \
548             list2="$$list2 $$p"; \
549           else :; fi; \
550         done; \
551         test -z "$$list2" || { \
552           echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 '$(DESTDIR)$(pkglibdir)'"; \
553           $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 "$(DESTDIR)$(pkglibdir)"; \
554         }
555
556 uninstall-pkglibLTLIBRARIES:
557         @$(NORMAL_UNINSTALL)
558         @list='$(pkglib_LTLIBRARIES)'; test -n "$(pkglibdir)" || list=; \
559         for p in $$list; do \
560           $(am__strip_dir) \
561           echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f '$(DESTDIR)$(pkglibdir)/$$f'"; \
562           $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f "$(DESTDIR)$(pkglibdir)/$$f"; \
563         done
564
565 clean-pkglibLTLIBRARIES:
566         -test -z "$(pkglib_LTLIBRARIES)" || rm -f $(pkglib_LTLIBRARIES)
567         @list='$(pkglib_LTLIBRARIES)'; for p in $$list; do \
568           dir="`echo $$p | sed -e 's|/[^/]*$$||'`"; \
569           test "$$dir" != "$$p" || dir=.; \
570           echo "rm -f \"$${dir}/so_locations\""; \
571           rm -f "$${dir}/so_locations"; \
572         done
573 libsciboolean.la: $(libsciboolean_la_OBJECTS) $(libsciboolean_la_DEPENDENCIES) 
574         $(libsciboolean_la_LINK) -rpath $(pkglibdir) $(libsciboolean_la_OBJECTS) $(libsciboolean_la_LIBADD) $(LIBS)
575
576 mostlyclean-compile:
577         -rm -f *.$(OBJEXT)
578
579 distclean-compile:
580         -rm -f *.tab.c
581
582 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciboolean_la-gw_boolean.Plo@am__quote@
583 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciboolean_la-matboolean.Plo@am__quote@
584 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciboolean_la-sci_and.Plo@am__quote@
585 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciboolean_la-sci_bool2s.Plo@am__quote@
586 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciboolean_la-sci_find.Plo@am__quote@
587 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciboolean_la-sci_or.Plo@am__quote@
588 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciboolean_la-vect_and.Plo@am__quote@
589 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciboolean_la-vect_or.Plo@am__quote@
590
591 .c.o:
592 @am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
593 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
594 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
595 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
596 @am__fastdepCC_FALSE@   $(COMPILE) -c $<
597
598 .c.obj:
599 @am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
600 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
601 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
602 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
603 @am__fastdepCC_FALSE@   $(COMPILE) -c `$(CYGPATH_W) '$<'`
604
605 .c.lo:
606 @am__fastdepCC_TRUE@    $(LTCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
607 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
608 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
609 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
610 @am__fastdepCC_FALSE@   $(LTCOMPILE) -c -o $@ $<
611
612 libsciboolean_la-matboolean.lo: src/c/matboolean.c
613 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libsciboolean_la_CFLAGS) $(CFLAGS) -MT libsciboolean_la-matboolean.lo -MD -MP -MF $(DEPDIR)/libsciboolean_la-matboolean.Tpo -c -o libsciboolean_la-matboolean.lo `test -f 'src/c/matboolean.c' || echo '$(srcdir)/'`src/c/matboolean.c
614 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libsciboolean_la-matboolean.Tpo $(DEPDIR)/libsciboolean_la-matboolean.Plo
615 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/c/matboolean.c' object='libsciboolean_la-matboolean.lo' libtool=yes @AMDEPBACKSLASH@
616 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
617 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libsciboolean_la_CFLAGS) $(CFLAGS) -c -o libsciboolean_la-matboolean.lo `test -f 'src/c/matboolean.c' || echo '$(srcdir)/'`src/c/matboolean.c
618
619 libsciboolean_la-vect_or.lo: src/c/vect_or.c
620 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libsciboolean_la_CFLAGS) $(CFLAGS) -MT libsciboolean_la-vect_or.lo -MD -MP -MF $(DEPDIR)/libsciboolean_la-vect_or.Tpo -c -o libsciboolean_la-vect_or.lo `test -f 'src/c/vect_or.c' || echo '$(srcdir)/'`src/c/vect_or.c
621 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libsciboolean_la-vect_or.Tpo $(DEPDIR)/libsciboolean_la-vect_or.Plo
622 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/c/vect_or.c' object='libsciboolean_la-vect_or.lo' libtool=yes @AMDEPBACKSLASH@
623 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
624 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libsciboolean_la_CFLAGS) $(CFLAGS) -c -o libsciboolean_la-vect_or.lo `test -f 'src/c/vect_or.c' || echo '$(srcdir)/'`src/c/vect_or.c
625
626 libsciboolean_la-vect_and.lo: src/c/vect_and.c
627 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libsciboolean_la_CFLAGS) $(CFLAGS) -MT libsciboolean_la-vect_and.lo -MD -MP -MF $(DEPDIR)/libsciboolean_la-vect_and.Tpo -c -o libsciboolean_la-vect_and.lo `test -f 'src/c/vect_and.c' || echo '$(srcdir)/'`src/c/vect_and.c
628 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libsciboolean_la-vect_and.Tpo $(DEPDIR)/libsciboolean_la-vect_and.Plo
629 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/c/vect_and.c' object='libsciboolean_la-vect_and.lo' libtool=yes @AMDEPBACKSLASH@
630 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
631 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libsciboolean_la_CFLAGS) $(CFLAGS) -c -o libsciboolean_la-vect_and.lo `test -f 'src/c/vect_and.c' || echo '$(srcdir)/'`src/c/vect_and.c
632
633 libsciboolean_la-sci_and.lo: sci_gateway/c/sci_and.c
634 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libsciboolean_la_CFLAGS) $(CFLAGS) -MT libsciboolean_la-sci_and.lo -MD -MP -MF $(DEPDIR)/libsciboolean_la-sci_and.Tpo -c -o libsciboolean_la-sci_and.lo `test -f 'sci_gateway/c/sci_and.c' || echo '$(srcdir)/'`sci_gateway/c/sci_and.c
635 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libsciboolean_la-sci_and.Tpo $(DEPDIR)/libsciboolean_la-sci_and.Plo
636 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='sci_gateway/c/sci_and.c' object='libsciboolean_la-sci_and.lo' libtool=yes @AMDEPBACKSLASH@
637 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
638 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libsciboolean_la_CFLAGS) $(CFLAGS) -c -o libsciboolean_la-sci_and.lo `test -f 'sci_gateway/c/sci_and.c' || echo '$(srcdir)/'`sci_gateway/c/sci_and.c
639
640 libsciboolean_la-sci_or.lo: sci_gateway/c/sci_or.c
641 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libsciboolean_la_CFLAGS) $(CFLAGS) -MT libsciboolean_la-sci_or.lo -MD -MP -MF $(DEPDIR)/libsciboolean_la-sci_or.Tpo -c -o libsciboolean_la-sci_or.lo `test -f 'sci_gateway/c/sci_or.c' || echo '$(srcdir)/'`sci_gateway/c/sci_or.c
642 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libsciboolean_la-sci_or.Tpo $(DEPDIR)/libsciboolean_la-sci_or.Plo
643 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='sci_gateway/c/sci_or.c' object='libsciboolean_la-sci_or.lo' libtool=yes @AMDEPBACKSLASH@
644 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
645 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libsciboolean_la_CFLAGS) $(CFLAGS) -c -o libsciboolean_la-sci_or.lo `test -f 'sci_gateway/c/sci_or.c' || echo '$(srcdir)/'`sci_gateway/c/sci_or.c
646
647 libsciboolean_la-sci_find.lo: sci_gateway/c/sci_find.c
648 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libsciboolean_la_CFLAGS) $(CFLAGS) -MT libsciboolean_la-sci_find.lo -MD -MP -MF $(DEPDIR)/libsciboolean_la-sci_find.Tpo -c -o libsciboolean_la-sci_find.lo `test -f 'sci_gateway/c/sci_find.c' || echo '$(srcdir)/'`sci_gateway/c/sci_find.c
649 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libsciboolean_la-sci_find.Tpo $(DEPDIR)/libsciboolean_la-sci_find.Plo
650 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='sci_gateway/c/sci_find.c' object='libsciboolean_la-sci_find.lo' libtool=yes @AMDEPBACKSLASH@
651 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
652 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libsciboolean_la_CFLAGS) $(CFLAGS) -c -o libsciboolean_la-sci_find.lo `test -f 'sci_gateway/c/sci_find.c' || echo '$(srcdir)/'`sci_gateway/c/sci_find.c
653
654 libsciboolean_la-sci_bool2s.lo: sci_gateway/c/sci_bool2s.c
655 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libsciboolean_la_CFLAGS) $(CFLAGS) -MT libsciboolean_la-sci_bool2s.lo -MD -MP -MF $(DEPDIR)/libsciboolean_la-sci_bool2s.Tpo -c -o libsciboolean_la-sci_bool2s.lo `test -f 'sci_gateway/c/sci_bool2s.c' || echo '$(srcdir)/'`sci_gateway/c/sci_bool2s.c
656 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libsciboolean_la-sci_bool2s.Tpo $(DEPDIR)/libsciboolean_la-sci_bool2s.Plo
657 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='sci_gateway/c/sci_bool2s.c' object='libsciboolean_la-sci_bool2s.lo' libtool=yes @AMDEPBACKSLASH@
658 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
659 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libsciboolean_la_CFLAGS) $(CFLAGS) -c -o libsciboolean_la-sci_bool2s.lo `test -f 'sci_gateway/c/sci_bool2s.c' || echo '$(srcdir)/'`sci_gateway/c/sci_bool2s.c
660
661 libsciboolean_la-gw_boolean.lo: sci_gateway/c/gw_boolean.c
662 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libsciboolean_la_CFLAGS) $(CFLAGS) -MT libsciboolean_la-gw_boolean.lo -MD -MP -MF $(DEPDIR)/libsciboolean_la-gw_boolean.Tpo -c -o libsciboolean_la-gw_boolean.lo `test -f 'sci_gateway/c/gw_boolean.c' || echo '$(srcdir)/'`sci_gateway/c/gw_boolean.c
663 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libsciboolean_la-gw_boolean.Tpo $(DEPDIR)/libsciboolean_la-gw_boolean.Plo
664 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='sci_gateway/c/gw_boolean.c' object='libsciboolean_la-gw_boolean.lo' libtool=yes @AMDEPBACKSLASH@
665 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
666 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libsciboolean_la_CFLAGS) $(CFLAGS) -c -o libsciboolean_la-gw_boolean.lo `test -f 'sci_gateway/c/gw_boolean.c' || echo '$(srcdir)/'`sci_gateway/c/gw_boolean.c
667
668 .f.o:
669         $(F77COMPILE) -c -o $@ $<
670
671 .f.obj:
672         $(F77COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
673
674 .f.lo:
675         $(LTF77COMPILE) -c -o $@ $<
676
677 logic.lo: src/fortran/logic.f
678         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o logic.lo `test -f 'src/fortran/logic.f' || echo '$(srcdir)/'`src/fortran/logic.f
679
680 find.lo: src/fortran/find.f
681         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o find.lo `test -f 'src/fortran/find.f' || echo '$(srcdir)/'`src/fortran/find.f
682
683 sci_bool2s.lo: sci_gateway/fortran/sci_bool2s.f
684         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o sci_bool2s.lo `test -f 'sci_gateway/fortran/sci_bool2s.f' || echo '$(srcdir)/'`sci_gateway/fortran/sci_bool2s.f
685
686 sci_find.lo: sci_gateway/fortran/sci_find.f
687         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o sci_find.lo `test -f 'sci_gateway/fortran/sci_find.f' || echo '$(srcdir)/'`sci_gateway/fortran/sci_find.f
688
689 mostlyclean-libtool:
690         -rm -f *.lo
691
692 clean-libtool:
693         -rm -rf .libs _libs
694 install-libsciboolean_la_etcDATA: $(libsciboolean_la_etc_DATA)
695         @$(NORMAL_INSTALL)
696         test -z "$(libsciboolean_la_etcdir)" || $(MKDIR_P) "$(DESTDIR)$(libsciboolean_la_etcdir)"
697         @list='$(libsciboolean_la_etc_DATA)'; test -n "$(libsciboolean_la_etcdir)" || list=; \
698         for p in $$list; do \
699           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
700           echo "$$d$$p"; \
701         done | $(am__base_list) | \
702         while read files; do \
703           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libsciboolean_la_etcdir)'"; \
704           $(INSTALL_DATA) $$files "$(DESTDIR)$(libsciboolean_la_etcdir)" || exit $$?; \
705         done
706
707 uninstall-libsciboolean_la_etcDATA:
708         @$(NORMAL_UNINSTALL)
709         @list='$(libsciboolean_la_etc_DATA)'; test -n "$(libsciboolean_la_etcdir)" || list=; \
710         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
711         test -n "$$files" || exit 0; \
712         echo " ( cd '$(DESTDIR)$(libsciboolean_la_etcdir)' && rm -f" $$files ")"; \
713         cd "$(DESTDIR)$(libsciboolean_la_etcdir)" && rm -f $$files
714 install-libsciboolean_la_rootDATA: $(libsciboolean_la_root_DATA)
715         @$(NORMAL_INSTALL)
716         test -z "$(libsciboolean_la_rootdir)" || $(MKDIR_P) "$(DESTDIR)$(libsciboolean_la_rootdir)"
717         @list='$(libsciboolean_la_root_DATA)'; test -n "$(libsciboolean_la_rootdir)" || list=; \
718         for p in $$list; do \
719           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
720           echo "$$d$$p"; \
721         done | $(am__base_list) | \
722         while read files; do \
723           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libsciboolean_la_rootdir)'"; \
724           $(INSTALL_DATA) $$files "$(DESTDIR)$(libsciboolean_la_rootdir)" || exit $$?; \
725         done
726
727 uninstall-libsciboolean_la_rootDATA:
728         @$(NORMAL_UNINSTALL)
729         @list='$(libsciboolean_la_root_DATA)'; test -n "$(libsciboolean_la_rootdir)" || list=; \
730         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
731         test -n "$$files" || exit 0; \
732         echo " ( cd '$(DESTDIR)$(libsciboolean_la_rootdir)' && rm -f" $$files ")"; \
733         cd "$(DESTDIR)$(libsciboolean_la_rootdir)" && rm -f $$files
734 install-libsciboolean_la_sci_gatewayDATA: $(libsciboolean_la_sci_gateway_DATA)
735         @$(NORMAL_INSTALL)
736         test -z "$(libsciboolean_la_sci_gatewaydir)" || $(MKDIR_P) "$(DESTDIR)$(libsciboolean_la_sci_gatewaydir)"
737         @list='$(libsciboolean_la_sci_gateway_DATA)'; test -n "$(libsciboolean_la_sci_gatewaydir)" || list=; \
738         for p in $$list; do \
739           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
740           echo "$$d$$p"; \
741         done | $(am__base_list) | \
742         while read files; do \
743           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libsciboolean_la_sci_gatewaydir)'"; \
744           $(INSTALL_DATA) $$files "$(DESTDIR)$(libsciboolean_la_sci_gatewaydir)" || exit $$?; \
745         done
746
747 uninstall-libsciboolean_la_sci_gatewayDATA:
748         @$(NORMAL_UNINSTALL)
749         @list='$(libsciboolean_la_sci_gateway_DATA)'; test -n "$(libsciboolean_la_sci_gatewaydir)" || list=; \
750         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
751         test -n "$$files" || exit 0; \
752         echo " ( cd '$(DESTDIR)$(libsciboolean_la_sci_gatewaydir)' && rm -f" $$files ")"; \
753         cd "$(DESTDIR)$(libsciboolean_la_sci_gatewaydir)" && rm -f $$files
754
755 ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
756         list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
757         unique=`for i in $$list; do \
758             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
759           done | \
760           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
761               END { if (nonempty) { for (i in files) print i; }; }'`; \
762         mkid -fID $$unique
763 tags: TAGS
764
765 TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
766                 $(TAGS_FILES) $(LISP)
767         set x; \
768         here=`pwd`; \
769         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
770         unique=`for i in $$list; do \
771             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
772           done | \
773           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
774               END { if (nonempty) { for (i in files) print i; }; }'`; \
775         shift; \
776         if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
777           test -n "$$unique" || unique=$$empty_fix; \
778           if test $$# -gt 0; then \
779             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
780               "$$@" $$unique; \
781           else \
782             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
783               $$unique; \
784           fi; \
785         fi
786 ctags: CTAGS
787 CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
788                 $(TAGS_FILES) $(LISP)
789         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
790         unique=`for i in $$list; do \
791             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
792           done | \
793           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
794               END { if (nonempty) { for (i in files) print i; }; }'`; \
795         test -z "$(CTAGS_ARGS)$$unique" \
796           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
797              $$unique
798
799 GTAGS:
800         here=`$(am__cd) $(top_builddir) && pwd` \
801           && $(am__cd) $(top_srcdir) \
802           && gtags -i $(GTAGS_ARGS) "$$here"
803
804 distclean-tags:
805         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
806
807 distdir: $(DISTFILES)
808         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
809         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
810         list='$(DISTFILES)'; \
811           dist_files=`for file in $$list; do echo $$file; done | \
812           sed -e "s|^$$srcdirstrip/||;t" \
813               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
814         case $$dist_files in \
815           */*) $(MKDIR_P) `echo "$$dist_files" | \
816                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
817                            sort -u` ;; \
818         esac; \
819         for file in $$dist_files; do \
820           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
821           if test -d $$d/$$file; then \
822             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
823             if test -d "$(distdir)/$$file"; then \
824               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
825             fi; \
826             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
827               cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
828               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
829             fi; \
830             cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
831           else \
832             test -f "$(distdir)/$$file" \
833             || cp -p $$d/$$file "$(distdir)/$$file" \
834             || exit 1; \
835           fi; \
836         done
837 check-am: all-am
838         $(MAKE) $(AM_MAKEFLAGS) check-local
839 check: check-am
840 all-am: Makefile $(LTLIBRARIES) $(DATA) all-local
841 installdirs:
842         for dir in "$(DESTDIR)$(pkglibdir)" "$(DESTDIR)$(libsciboolean_la_etcdir)" "$(DESTDIR)$(libsciboolean_la_rootdir)" "$(DESTDIR)$(libsciboolean_la_sci_gatewaydir)"; do \
843           test -z "$$dir" || $(MKDIR_P) "$$dir"; \
844         done
845 install: install-am
846 install-exec: install-exec-am
847 install-data: install-data-am
848 uninstall: uninstall-am
849
850 install-am: all-am
851         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
852
853 installcheck: installcheck-am
854 install-strip:
855         $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
856           install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
857           `test -z '$(STRIP)' || \
858             echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
859 mostlyclean-generic:
860
861 clean-generic:
862
863 distclean-generic:
864         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
865         -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
866
867 maintainer-clean-generic:
868         @echo "This command is intended for maintainers to use"
869         @echo "it deletes files that may require special tools to rebuild."
870 clean: clean-am
871
872 clean-am: clean-generic clean-libtool clean-local \
873         clean-pkglibLTLIBRARIES mostlyclean-am
874
875 distclean: distclean-am
876         -rm -rf ./$(DEPDIR)
877         -rm -f Makefile
878 distclean-am: clean-am distclean-compile distclean-generic \
879         distclean-local distclean-tags
880
881 dvi: dvi-am
882
883 dvi-am:
884
885 html: html-am
886
887 html-am:
888
889 info: info-am
890
891 info-am:
892
893 install-data-am: install-data-local install-libsciboolean_la_etcDATA \
894         install-libsciboolean_la_rootDATA \
895         install-libsciboolean_la_sci_gatewayDATA
896
897 install-dvi: install-dvi-am
898
899 install-dvi-am:
900
901 install-exec-am: install-pkglibLTLIBRARIES
902
903 install-html: install-html-am
904
905 install-html-am: install-html-local
906
907 install-info: install-info-am
908
909 install-info-am:
910
911 install-man:
912
913 install-pdf: install-pdf-am
914
915 install-pdf-am:
916
917 install-ps: install-ps-am
918
919 install-ps-am:
920
921 installcheck-am:
922
923 maintainer-clean: maintainer-clean-am
924         -rm -rf ./$(DEPDIR)
925         -rm -f Makefile
926 maintainer-clean-am: distclean-am maintainer-clean-generic
927
928 mostlyclean: mostlyclean-am
929
930 mostlyclean-am: mostlyclean-compile mostlyclean-generic \
931         mostlyclean-libtool
932
933 pdf: pdf-am
934
935 pdf-am:
936
937 ps: ps-am
938
939 ps-am:
940
941 uninstall-am: uninstall-libsciboolean_la_etcDATA \
942         uninstall-libsciboolean_la_rootDATA \
943         uninstall-libsciboolean_la_sci_gatewayDATA \
944         uninstall-pkglibLTLIBRARIES
945
946 .MAKE: check-am install-am install-strip
947
948 .PHONY: CTAGS GTAGS all all-am all-local check check-am check-local \
949         clean clean-generic clean-libtool clean-local \
950         clean-pkglibLTLIBRARIES ctags distclean distclean-compile \
951         distclean-generic distclean-libtool distclean-local \
952         distclean-tags distdir dvi dvi-am html html-am info info-am \
953         install install-am install-data install-data-am \
954         install-data-local install-dvi install-dvi-am install-exec \
955         install-exec-am install-html install-html-am \
956         install-html-local install-info install-info-am \
957         install-libsciboolean_la_etcDATA \
958         install-libsciboolean_la_rootDATA \
959         install-libsciboolean_la_sci_gatewayDATA install-man \
960         install-pdf install-pdf-am install-pkglibLTLIBRARIES \
961         install-ps install-ps-am install-strip installcheck \
962         installcheck-am installdirs maintainer-clean \
963         maintainer-clean-generic mostlyclean mostlyclean-compile \
964         mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
965         tags uninstall uninstall-am uninstall-libsciboolean_la_etcDATA \
966         uninstall-libsciboolean_la_rootDATA \
967         uninstall-libsciboolean_la_sci_gatewayDATA \
968         uninstall-pkglibLTLIBRARIES
969
970
971 # This target enables tests for Scilab
972 check-local: $(top_builddir)/scilab-bin test
973         @COMMAND="test_run('$(modulename)');quit";\
974         export LANG=C;\
975         $(top_builddir)/bin/scilab -nwni -nb -e "$$COMMAND"
976 check-code:
977         if test -f build.xml; then \
978                 $(ANT) checkstyle; \
979         fi
980         if test -x "$(SPLINT)"; then \
981                 $(SPLINT) $(SPLINT_OPTIONS) -I$(top_srcdir)/modules/core/includes/ -I$(top_srcdir)/libs/MALLOC/includes/ -I$(top_srcdir)/modules/localization/includes/ $(INCLUDE_FLAGS) $(CHECK_SRC); \
982         fi
983 @NEED_JAVA_TRUE@java:
984 # Some configurations needs to export JAVA_HOME in the current env
985 @NEED_JAVA_TRUE@        @if test "$(JAVA_HOME)"; then export JAVA_HOME=$(JAVA_HOME); fi; \
986 @NEED_JAVA_TRUE@        if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
987 @NEED_JAVA_TRUE@        if test -f build.xml -a $$USEANT -eq 1; then \
988 @NEED_JAVA_TRUE@                $(ANT); \
989 @NEED_JAVA_TRUE@        fi
990
991 @NEED_JAVA_TRUE@clean-java:
992 # Some configurations needs to export JAVA_HOME in the current env
993 @NEED_JAVA_TRUE@        @if test "$(JAVA_HOME)"; then export JAVA_HOME=$(JAVA_HOME); fi; \
994 @NEED_JAVA_TRUE@        if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
995 @NEED_JAVA_TRUE@        if test -f build.xml -a $$USEANT -eq 1; then \
996 @NEED_JAVA_TRUE@                $(ANT) clean; \
997 @NEED_JAVA_TRUE@        fi;
998
999 # If the user request for the SWIG generation of the wrappers Java => C/C++ 
1000 # We call the target swig-build on the variable SWIG_WRAPPERS
1001
1002 @SWIG_TRUE@swig: $(SWIG_WRAPPERS)
1003 @SWIG_TRUE@     @SWIG_PACKAGENAME=org.scilab.modules.$(modulename); \
1004 @SWIG_TRUE@     SWIG_OUTDIR=src/java/org/scilab/modules/$(modulename)/; \
1005 @SWIG_TRUE@     if test -n "$(SWIG_WRAPPERS)"; then \
1006 @SWIG_TRUE@             for file in $(SWIG_WRAPPERS) ; do \
1007 @SWIG_TRUE@                     echo "Swig process of $$file ..."; \
1008 @SWIG_TRUE@                     $(SWIG_BIN) $(SWIG_JAVA) -package $$SWIG_PACKAGENAME  -outdir $$SWIG_OUTDIR $$file; \
1009 @SWIG_TRUE@             done; \
1010 @SWIG_TRUE@     fi
1011
1012 # If the user request for the SWIG generation of the wrappers Java => C/C++ 
1013 # We call the target swig-build on the variable SWIG_WRAPPERS
1014
1015 @GIWS_TRUE@giws: $(GIWS_WRAPPERS)
1016 @GIWS_TRUE@     @GIWS_OUTPUTDIR=src/jni/;\
1017 @GIWS_TRUE@     if test -n "$(GIWS_WRAPPERS)"; then \
1018 @GIWS_TRUE@             for file in $(GIWS_WRAPPERS) ; do \
1019 @GIWS_TRUE@                     echo "GIWS process of $$file ..."; \
1020 @GIWS_TRUE@                     $(GIWS_BIN) --disable-return-size-array --output-dir $$GIWS_OUTPUTDIR --throws-exception-on-error --description-file $$file; \
1021 @GIWS_TRUE@             done; \
1022 @GIWS_TRUE@     fi
1023
1024 macros:
1025         -@( if test ! -x $(top_builddir)/scilab-bin; then \
1026                 echo "Error : Cannot build $< : Scilab has not been built"; \
1027         else \
1028                 $(top_builddir)/bin/scilab -ns -nwni -e "exec('macros/buildmacros.sce');quit;";\
1029         fi)
1030
1031 # Removes the macros
1032 clean-macros:
1033 # Removes macros (*.bin generated from .sci)
1034         @for dir in $(MACRODIRS) $(MACROSDIRSEXT) ; do \
1035                 echo "rm -f $(builddir)/$$dir/$(MACROBINMASK)"; \
1036                 rm -f $(builddir)/$$dir/$(MACROBINMASK); \
1037         done
1038
1039 test:
1040 # More tests could be added here
1041         @if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1042         if test -f build.xml -a $$USEANT -eq 1; then \
1043                 $(ANT) test; \
1044         fi
1045
1046 all-local: $(TARGETS_ALL)
1047
1048 .sci.bin:
1049         -@( if test ! -x $(top_builddir)/scilab-bin; then \
1050         echo "Error : Cannot build $< : Scilab has not been build"; \
1051         else \
1052         echo "Creating $@"; \
1053         $(top_builddir)/bin/scilab -ns -nwni -e "exec('$(abs_srcdir)/$<');save('$(abs_srcdir)/$@');exit;"; \
1054         fi )
1055
1056 install-html-local:
1057 # If the user wants the help sources to be installed
1058 @INSTALL_HELP_XML_TRUE@ @echo "-------- Install of XML sources of help files --------"; \
1059 @INSTALL_HELP_XML_TRUE@ for lang in $(ALL_LINGUAS); do \
1060 @INSTALL_HELP_XML_TRUE@  if test -d $(srcdir)/help/$$lang; then \
1061 @INSTALL_HELP_XML_TRUE@   $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/help/$$lang && \
1062 @INSTALL_HELP_XML_TRUE@         if ls -lLd $(srcdir)/help/$$lang/$(DOCMASKXML) >/dev/null 2>&1; then \
1063 @INSTALL_HELP_XML_TRUE@           for file in $(srcdir)/help/$$lang/$(DOCMASKXML) ; do \
1064 @INSTALL_HELP_XML_TRUE@             echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/help/$$lang" ; \
1065 @INSTALL_HELP_XML_TRUE@         $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/help/$$lang ; \
1066 @INSTALL_HELP_XML_TRUE@           done ; \
1067 @INSTALL_HELP_XML_TRUE@         fi; \
1068 @INSTALL_HELP_XML_TRUE@  fi; \
1069 @INSTALL_HELP_XML_TRUE@ done; \
1070 @INSTALL_HELP_XML_TRUE@ @echo "-------- Install of MathML sources --------"; \
1071 @INSTALL_HELP_XML_TRUE@  if test -d $(srcdir)/help/mml/; then \
1072 @INSTALL_HELP_XML_TRUE@   $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/help/mml/ && \
1073 @INSTALL_HELP_XML_TRUE@         if ls -lLd $(srcdir)/help/mml/$(DOCMASKMML) >/dev/null 2>&1; then \
1074 @INSTALL_HELP_XML_TRUE@           for file in $(srcdir)/help/mml/$(DOCMASKMML) ; do \
1075 @INSTALL_HELP_XML_TRUE@             echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/help/mml" ; \
1076 @INSTALL_HELP_XML_TRUE@         $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/help/mml ; \
1077 @INSTALL_HELP_XML_TRUE@           done ; \
1078 @INSTALL_HELP_XML_TRUE@         fi; \
1079 @INSTALL_HELP_XML_TRUE@ fi
1080 install-data-local:
1081 # Install the tests
1082         @echo "-------- Install tests (if any) --------"; \
1083         for dir in $(TESTS_DIR) $(TESTS_DIREXT) ; do \
1084           if test -d $(srcdir)/$$dir/; then \
1085             $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir && \
1086                   for file in `find $(srcdir)/$$dir | sed "s|^$(srcdir)/$$dir||" 2>/dev/null`; do \
1087                     if test -d "$(srcdir)/$$dir/$$file"; then \
1088                           echo $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir/$$file; \
1089                           $(mkinstalldirs) "$(DESTDIR)$(pkgmacrosdir)/$$dir/$$file"; \
1090                     else \
1091                       echo "$(INSTALL_DATA) $(srcdir)/$$dir/$$file $(DESTDIR)$(pkgmacrosdir)/`dirname $$dir/$$file`" ; \
1092                   $(INSTALL_DATA) "$(srcdir)/$$dir/$$file" "$(DESTDIR)$(pkgmacrosdir)/`dirname $$dir/$$file`" ; \
1093                     fi \
1094                   done; \
1095           fi; \
1096         done
1097 # Install the help chapter
1098         @echo "-------- Install the help chapter (if any) --------"; \
1099         for lang in $(HELP_CHAPTERLANG); do \
1100                 HELPFILE=$(srcdir)/$(HELP_CHAPTERDIR)$$lang/$(HELP_CHAPTERFILE); \
1101                 if test -f $$HELPFILE; then \
1102                         echo $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(HELP_CHAPTERDIR)/$$lang/; \
1103                         $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(HELP_CHAPTERDIR)/$$lang/; \
1104                         echo $(INSTALL_DATA) $$HELPFILE $(DESTDIR)$(pkgdocdir)/$$HELPFILE; \
1105                         $(INSTALL_DATA) $$HELPFILE $(DESTDIR)$(pkgdocdir)/$$HELPFILE; \
1106                 fi; \
1107         done
1108 # Install the demos & examples
1109         @echo "-------- Install demos & examples (if any) --------"; \
1110         for dir in $(DEMOS_DIR) $(DEMOS_DIREXT) $(EXAMPLES_DIR) $(EXAMPLES_DIREXT) ; do \
1111           if test -d $(srcdir)/$$dir/; then \
1112             $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$$dir && \
1113                   for file in `find $(srcdir)/$$dir | sed "s|^$(srcdir)/$$dir||" 2>/dev/null`; do \
1114                     if test -d "$(srcdir)/$$dir/$$file"; then \
1115                           echo $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$$dir/$$file; \
1116                           $(mkinstalldirs) "$(DESTDIR)$(pkgdocdir)/$$dir/$$file"; \
1117                     else \
1118                       echo "$(INSTALL_DATA) $(srcdir)/$$dir/$$file $(DESTDIR)$(pkgdocdir)/`dirname $$dir/$$file`" ; \
1119                   $(INSTALL_DATA) "$(srcdir)/$$dir/$$file" "$(DESTDIR)$(pkgdocdir)/`dirname $$dir/$$file`" ; \
1120                     fi \
1121                   done; \
1122           fi; \
1123         done
1124 # Install the macros
1125         @echo "-------- Install macros (if any) --------"; \
1126         for dir in $(MACRODIRS) $(MACROSDIRSEXT) ; do \
1127           $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir && \
1128                 if test -d $(srcdir)/$$dir/; then \
1129                         FILELIST="$(srcdir)/$$dir/$(MACROMASK) $(srcdir)/$$dir/$(MACROBINMASK) $(srcdir)/$$dir/$(MACROBUILDMASK) $(srcdir)/$$dir/names $(srcdir)/$$dir/lib";\
1130                         if test -n "$(MACROSSPECIALEXT)"; then \
1131                                 specialExtDir=""; \
1132                                 for specialExt in $(MACROSSPECIALEXT); do \
1133                                         specialExtDir="$$specialExtDir $(srcdir)/$$dir/$$specialExt"; \
1134                                 done; \
1135                                 FILELIST="$$FILELIST $$specialExtDir"; \
1136                         fi; \
1137                   for file in `ls -1 $$FILELIST 2>/dev/null`; do \
1138                     echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgmacrosdir)/$$dir" ; \
1139                 $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgmacrosdir)/$$dir ; \
1140                   done; \
1141                 fi; \
1142         done
1143 # Install java files (.jar)
1144         @if ls -lLd $(srcdir)/$(JARDIR)$(JARMASK) >/dev/null 2>&1; then \
1145         echo "-------- Install jar files --------"; \
1146     $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(JARDIR); \
1147           for file in $(srcdir)/$(JARDIR)$(JARMASK); do\
1148                     echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/$(JARDIR)" ; \
1149                 $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/$(JARDIR) ; \
1150           done ; \
1151         fi
1152
1153 ########### CLEAN ###################
1154 # Clean macros and help (generated automatically by Scilab)
1155 @NEED_JAVA_TRUE@clean-local: clean-java clean-macros
1156 @NEED_JAVA_FALSE@clean-local: clean-macros
1157
1158 distclean-local:
1159         rm -f $(builddir)/help/*/.last_successful_build_javaHelp $(builddir)/help/*/.list_*
1160
1161 .PHONY: macros java swig giws
1162
1163 # Tell versions [3.59,3.63) of GNU make to not export all variables.
1164 # Otherwise a system limit (for SysV at least) may be exceeded.
1165 .NOEXPORT: